.table {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}

.table-border {
  @include themify($themes) {
    border: 1px solid themed('brand-1');
  }
  border-radius: map-get($radius, 'table');
  margin: map-get($spacing, 'desktop-half') 0;

  .table-cell {
    &:first-of-type {
      @include breakpoint(max-width map-get($breakpoints, 'breakpoint-sm')) {
        padding-left: map-get($spacing, 'mobile-half');
      }
    }

    &:last-of-type {
      @include breakpoint(max-width map-get($breakpoints, 'breakpoint-sm')) {
        padding-right: map-get($spacing, 'mobile-half');
      }
    }
  }
}

@for $i from 1 through 10 {
  .table-#{$i} {
    .table-row,
    .table-head {
      @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
        @include grid($i, $gutter: 0, $items: $i);
      }
    }
  }

  .table-span-1-#{$i} {
    grid-column: $i !important;
  }

  .table-span-2-#{$i} {
    grid-column: $i / span 2 !important;
  }

  .table-span-3-#{$i} {
    grid-column: $i / span 3 !important;
  }

  .table-span-#{$i}-1 {
    grid-column: 1 / span $i !important;
  }
}

.table-head,
.table-row {
  align-items: center;
  border-radius: map-get($radius, 'table');
  display: flex;
  width: 100%;

  p {
    font-size: map-get($font-size, 'h5');
    margin: 0;
  }
}

.table-head {
  p {
    font-weight: 700;
  }
}

.table-row {
  .table-8 & {
    flex-wrap: wrap;

    > div {
      &:not(:last-of-type) {
        margin-bottom: map-get($spacing, 'mobile-small');
      }
    }
  }

  p {
    font-weight: 300;
  }
}

.table-row-alternate {
  @include breakpoint(max-width map-get($breakpoints, 'breakpoint-sm')) {
    padding-left: map-get($spacing, 'mobile-half');
    padding-right: map-get($spacing, 'mobile-half');
  }
  &:nth-of-type(even) {
    @include themify($themes) {
      background-color: themed('brand-1');
    }
  }
}

.table-row-padded {
  padding: map-get($spacing, 'desktop-half') 0;
}

.table-row-padded-bottom {
  padding-bottom: map-get($spacing, 'desktop-half');
}

.table-row-padded-top {
  padding-top: map-get($spacing, 'desktop-half');
}

.table-cell {
  display: flex;
  padding: 0 map-get($spacing, 'mobile-half');
  width: 100%;

  &:not(.table-row-alternate) & {
    &:first-of-type {
      padding-left: 0;
    }

    &:last-of-type {
      margin-top: map-get($spacing, 'mobile-half');
      padding-right: 0;

      @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
        margin-top: 0;
      }
    }
  }
}

.table-span-1-5 {
  @include breakpoint(max-width map-get($breakpoints, 'breakpoint-sm')) {
    width: percentage(1 / 3);
  }
}

.table-cell-full {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}

.table-cell-left {
  justify-content: flex-start;
}

.table-cell-center {
  justify-content: center;
}

.table-cell-right {
  justify-content: flex-end;
}
